//---------------------------------------------------------------------------
#ifndef DEncryptH
#define DEncryptH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "aTzGrids.hpp"
#include "TzPrimDS.hpp"
#include "UCommon.hpp"
#include "UTzCDS.hpp"
#include "UTzFDS.hpp"
#include <Db.hpp>
#include <DBCtrls.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------

enum MyEncryptionType {doEncrypt, doDecrypt, doBoth, doNone};

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TTzDbf *TzDbf1;
    TTzGrid *TzGrid1;
    TDataSource *TzDbf0;
    TDBMemo *DBMemo1;
    TButton *TopazButton;
    TButton *OthersButton;
    TButton *EncryptButton;
    TButton *DecryptButton;
    TButton *ChangeEncryptionButton;
    void __fastcall TopazButtonClick(TObject *Sender);
    void __fastcall OthersButtonClick(TObject *Sender);
    void __fastcall EncryptButtonClick(TObject *Sender);
    void __fastcall DecryptButtonClick(TObject *Sender);
    void __fastcall ChangeEncryptionButtonClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
    Boolean FEncrypted;
    Boolean FUseMethodA;
    void __fastcall UpdateCaption(void);
    void __fastcall SpecialSetEncrypt(MyEncryptionType eType);
public:     // User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
